compatible software?

Getting into LiveCode for iOS? Ask your questions here.

Moderators: Klaus, FourthWorld, heatherlaine, robinmiller, kevinmiller

Post Reply
jessamy99
Posts: 81
Joined: Thu Oct 25, 2012 3:23 pm

compatible software?

Post by jessamy99 » Sun Jun 09, 2019 8:47 pm

Hi team,

I am trying to upload an app to the apple store after a few years off!

I am running a mac with 10.13.6
LiveCode 9.0.4 rc2
Xcode 10.1 (10B61)

I keep getting a request to remove a key from the plist.

'UIApplicationExitsOnSuspend' in bundle Sanskrit for Beginners [Sanskrit for Beginners.app] that will soon be unsupported. Remove the key, rebuild your app and resubmit."

So... I deleted the line in Xcode and re-submitted the app.

Then I got another error from Application Loader which basically said the plist was unsigned.

Please could you let me know how to sign it?

Thanking you all in advance,
Jessamy

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 567
Joined: Fri Feb 06, 2015 4:03 pm

Re: compatible software?

Post by LiveCode_Panos » Mon Jun 10, 2019 11:37 am

Hello jessamy,

The standalone builder signs the app bundle. If you modify the standalone app bundle *after* it was signed (for example when editing the plist file), the signature is invalidated.

So in this case you have to:

1. Build a standalone again.
2. Copy the plist file from the standalone app bundle and place it in a different location (e.g. Desktop)
3. Edit the file ~/Desktop/Info.plist and remove the key-value pair you want
4. Open Copy Files section, add the modified ~/Desktop/Info.plist and create a new standalone.

The file ~/Desktop/Info.plist will overwrite the Info.plist file that is generated by the standalone builder. See this lesson for more details and examples:

http://lessons.livecode.com/m/4069/l/88 ... stom-plist

Hope this helps,
Panos
--

PS: I thought the request to remove UIApplicationExitsOnSuspend key was a _warning_, not an actual error. Is it the case?

jessamy99
Posts: 81
Joined: Thu Oct 25, 2012 3:23 pm

Re: compatible software?

Post by jessamy99 » Mon Jun 10, 2019 4:30 pm

Dear Panos,

Thankyou so much for your very helpful reply!
I apologise for my muddled message!

What I meant to ask was...
Am I using the latest software that is compatible with Mac 10.13.6.

I was also confused about editing the plist - and thankyou for that reply.
However, after telling me that the plist needed editing, Apple sent me another email with several other errors mentioned.
Then, I had another email saying my app was waiting for review!
Now I am totally confused! :)

So, my question today is: Am I using the best LiveCode and Xcode for the present time?
Or is there a later and better compatible option?

Thankyou so much for your help.
Jessamy

LiveCode_Panos
Livecode Staff Member
Livecode Staff Member
Posts: 567
Joined: Fri Feb 06, 2015 4:03 pm

Re: compatible software?

Post by LiveCode_Panos » Wed Jun 12, 2019 8:51 am

Hello jessamy,

The latest "stable" version of LiveCode is currently 9.0.4. The latest "release candidate" version is currently 9.0.5 RC-1.

You can find them here:

https://downloads.livecode.com/livecode/

On MacOS 10.13.6, for these ^^^ versions of LiveCode you'll need Xcode 10.1, which you already have.

Hope this helps,
Panos
--

jessamy99
Posts: 81
Joined: Thu Oct 25, 2012 3:23 pm

Re: compatible software?

Post by jessamy99 » Wed Jun 12, 2019 5:46 pm

Thankyou Panos!

With your help I successfully uploaded my app.
I am also working on some updates.

Thanks again.
Jessamy

Post Reply

Return to “iOS Deployment”